User

Retrieve current user

get

Retrieve details of current user.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
chevron-right
200

OK

application/json
idstringOptional

The unique ID of the resource.

Example: NzAwNTUxOTA5NzczMTQ4MTYw
namestring · min: 1 · max: 64Optional

The user's account name.
Only letters, numbers, and the following special characters can be added: underscore, dash, single quote, and period (_, -, ', and .).
Username cannot start or end with period (.).
admin, system, administrator, and root are reserved names for system admin only with case ignored.

emailstring · max: 128Optional

The email address.

Example: [email protected]
display_namestring · max: 1024Optional

The display name of user.

rolestring · min: 1 · max: 64Optional

Roles include built-in roles and custom roles.
Built-in roles roles cannot be modified.
Also, the names of built-in roles are reserved words, custom roles are not allowed to use these names to avoid unnecessary confusion.
Built-in roles include:

  • SystemAdmin: the system administrator has almost all permissions.
  • Replicator: the application permissions collection.
  • Dealer: the sales manager has all sold tenant resource permissions
  • Admin: the admin has all tenant-wide resource permissions.
  • StandardUser: the user all user-wide resource permissions.
  • StandardInternationalUser: the user all user-wide resource permissions with international call permissions.
  • QueueManager: The call queue manager.
Example: User
enabledbooleanOptional

Allows temporarily disabling the extension.

Default: true
mobile_phonestring · max: 32Optional

The mobile phone number of user.

work_phonestring · max: 32Optional

The office phone number of user.

home_phonestring · max: 32Optional

The home phone number of user.

addressstring · max: 128Optional

The address.

departmentstring · max: 128Optional

The department of user.

extension_numberstring · min: 3 · max: 64Optional

The extension number.

Pattern: [0-9]{3,64}
enable_audio_recordingbooleanOptional

Records all calls and saves audio recordings on server.

Default: false
enable_video_recordingbooleanOptional

Records all calls and saves video recordings on server.

Default: false
enable_dndbooleanOptional

Enable Do Not Disturb or not.

enable_acbbooleanOptional

Enable Automatic Callback or not.

enable_hot_deskingbooleanOptional

Enable hot desking feature or not.

Default: false
anonymous_outbound_callsbooleanOptional

Always make outbound anonymous calls or not.

Default: false
delivery_outbound_cidbooleanOptional

Always delivery outbound caller ID or not.

Default: true
smsstring · enumOptional

The preferred configuration for SMS/MMS.
Note: Only users with UserManagement::Users privilege can change this property.

  • DISABLE: Disable user SMS/MMS feature.
  • ALLOW: Enable user SMS/MMS feature but with outbound caller ID.
  • ALLOW_WITH_SENDER_ID: Enable user SMS/MMS but with trunk sender ID.
Default: DISABLEPossible values:
custom_optionsstringOptional

Some custom configuration options serialized as json string

voicemail_promptstringOptional

BCP 47 Language Tags (The Internet Best Current Practices (BCP) for language tags). A language tag is composed of a sequence of one or more subtags such as language, region, variant and script subtags. When a language tag is comprised of more than one subtag, the subtag values are separated by the "-" character. You will most commonly find language tags written with 2 subtags - language and region. For example: en-US.

Example: en-US
enable_voicemail_pinbooleanOptional

Whether the PIN is required to access voice mail of extension.

Default: true
voicemail_pinstring · min: 6 · max: 10Optional

The PIN number for accessing.
The PIN policies include:

  1. A sequence of numbers 6-10 digits in length.
  2. No repeating numbers (e.g. "111", "222")
  3. No sequential numbers (e.g. "012", "789")
enable_voicemail_notifybooleanOptional

Enable voicemail to email notify.

Default: false
voicemail_play_datetimestring · enumOptional

Announces Date and Time of Message.

  • DISABLE: Do not read;
  • 12_HOUR_CLOCK: Read in 12-hour clock;
  • 24_HOUR_CLOCK: Read in 24-hour clock.
Possible values:
interfacestring · enumOptional

The interface type for QR code or auto provisioning.
Can be neither:

  • WEB_DOMAIN:
  • PUBLIC_IPV4:
  • PUBLIC_IPV6:
  • PRIVATE_IPV4:
  • PRIVATE_IPV6:
  • SBC_DOMAIN:
Possible values:
preferred_transportstring · enumOptional

The transport protocol:
Can be either:

  • UDP:
  • TCP:
  • TLS:
Possible values:
created_atstring · date_timeOptional

The RFC 3339 format is defined by The date_time notation as defined by RFC 3339, section 5.6, for example, 2017-07-21T17:32:28Z

Example: 2017-07-21T17:32:28Z
avatar_file_namestringOptional

The name of the file.

avatar_file_sizeinteger · int64Optional

The file size in bytes.

Example: 0
avatar_file_urlstringRead-onlyOptional

The relative path to file url for file downloading.

Example: /api/blobs/WexWdABcd5D4PDgzTKV3gAAAEu00WcK
profilestringOptional

The unique ID of the resource.

Example: NzAwNTUxOTA5NzczMTQ4MTYw
sync_typestring · enumOptional

The synchronization method.
Can be either:

  • Microsoft 365: Sync from Microsoft 365.
Possible values:
get
/user

Update current user properties.

post

Update current user properties.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
emailstring · max: 128Optional

The email address.

Example: [email protected]
display_namestring · max: 1024Optional

The display name of user.

mobile_phonestring · max: 32Optional

The mobile phone number of user.

work_phonestring · max: 32Optional

The office phone number of user.

home_phonestring · max: 32Optional

The home phone number of user.

addressstring · max: 128Optional

The address.

departmentstring · max: 128Optional

The department of user.

enable_audio_recordingbooleanOptional

Records all calls and saves audio recordings on server.

Default: false
enable_video_recordingbooleanOptional

Records all calls and saves video recordings on server.

Default: false
enable_dndbooleanOptional

Enable Do Not Disturb or not.

enable_acbbooleanOptional

Enable Automatic Callback or not.

enable_hot_deskingbooleanOptional

Enable hot desking feature or not.

Default: false
anonymous_outbound_callsbooleanOptional

Always make outbound anonymous calls or not.

Default: false
delivery_outbound_cidbooleanOptional

Always delivery outbound caller ID or not.

Default: true
smsstring · enumOptional

The preferred configuration for SMS/MMS.
Note: Only users with UserManagement::Users privilege can change this property.

  • DISABLE: Disable user SMS/MMS feature.
  • ALLOW: Enable user SMS/MMS feature but with outbound caller ID.
  • ALLOW_WITH_SENDER_ID: Enable user SMS/MMS but with trunk sender ID.
Default: DISABLEPossible values:
custom_optionsstringOptional

Some custom configuration options serialized as json string

voicemail_promptstringOptional

BCP 47 Language Tags (The Internet Best Current Practices (BCP) for language tags). A language tag is composed of a sequence of one or more subtags such as language, region, variant and script subtags. When a language tag is comprised of more than one subtag, the subtag values are separated by the "-" character. You will most commonly find language tags written with 2 subtags - language and region. For example: en-US.

Example: en-US
enable_voicemail_pinbooleanOptional

Whether the PIN is required to access voice mail of extension.

Default: true
voicemail_pinstring · min: 6 · max: 10Optional

The PIN number for accessing.
The PIN policies include:

  1. A sequence of numbers 6-10 digits in length.
  2. No repeating numbers (e.g. "111", "222")
  3. No sequential numbers (e.g. "012", "789")
enable_voicemail_notifybooleanOptional

Enable voicemail to email notify.

Default: false
voicemail_play_datetimestring · enumOptional

Announces Date and Time of Message.

  • DISABLE: Do not read;
  • 12_HOUR_CLOCK: Read in 12-hour clock;
  • 24_HOUR_CLOCK: Read in 24-hour clock.
Possible values:
interfacestring · enumOptional

The interface type for QR code or auto provisioning.
Can be neither:

  • WEB_DOMAIN:
  • PUBLIC_IPV4:
  • PUBLIC_IPV6:
  • PRIVATE_IPV4:
  • PRIVATE_IPV6:
  • SBC_DOMAIN:
Possible values:
preferred_transportstring · enumOptional

The transport protocol:
Can be either:

  • UDP:
  • TCP:
  • TLS:
Possible values:
avatar_file_idstringOptional

The unique ID of the resource.

Example: NzAwNTUxOTA5NzczMTQ4MTYw
Responses
chevron-right
200

OK

No content

post
/user

No content